using System;
using Infragistics.Windows.DataPresenter;

internal sealed class Delegate477 : MulticastDelegate
{
	public extern Record Invoke(object object_0);

	public static Record smethod_0(object object_0, Delegate477 delegate477_1)
	{
		return delegate477_1(object_0);
	}

	public extern Delegate477(object object_0, IntPtr intptr_0);

	static Delegate477()
	{
		Class10.smethod_13(typeof(Delegate477).TypeHandle);
	}

	internal static Delegate477 delegate477_0;
}
